It worked well until FF v6 Puntuado con 4 de 5 estrellas

It does work, but NOT on Firefox 6

and the website is 2010
and even mentions compatibility until FF 3.2

This really needs updating please!

Esta valoración es de una versión anterior del complemento (1.6.5.4.1-signed.1-signed).